id: wordpress-fluent-smtp

info:
  name: FluentSMTP – WP SMTP Plugin with Amazon SES, SendGrid, MailGun, Postmark, Google and Any SMTP Provider Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/fluent-smtp/
  metadata:
    plugin_namespace: fluent-smtp
    wpscan: https://wpscan.com/plugin/fluent-smtp
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/fluent-smtp/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/fluent-smtp.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100b41ff4a67635599c2a9cbca90c7901abb8bba7058a826cde7c93cb8e6b8e46b202200c4d27de131146cd8784a0af64e4cf290500f28712c06f8a2cc87a9f3d7056cf:922c64590222798bb761d5b6d8e72950